[Numpy-discussion] Python-2.01b

Jack Jansen jack at oratrix.nl
Thu Sep 7 09:18:50 CDT 2000


> Hello All,
>  I made a mistake of installing the new 2.0 python! Now when I try to
> re-build numpy, I get errors. 
> [...]
> Include/arrayobject.h:18: parse error before `Py_FPROTO'

I have the fixes on my disk at home, but I haven't gotten around to completely 
testing NumPy yet. I'll try and get around to it as soon as possible. That is: 
assuming people think it is a good idea I check these fixes in, let me know, 
please.

(A quick workaround that may work is to add the following lines to Python.h:
#define Py_FPROTO(x) x
#define Py_PROTO(x) x
but I haven't tested this).
--
Jack Jansen             | ++++ stop the execution of Mumia Abu-Jamal ++++
Jack.Jansen at oratrix.com | ++++ if you agree copy these lines to your sig ++++
www.oratrix.nl/~jack    | see http://www.xs4all.nl/~tank/spg-l/sigaction.htm 





More information about the Numpy-discussion mailing list